Update lineItem status of fulfillmentOrder
PUT
/merchants/{merchantCode}/fulfillmentOrders/{orderNumber}/lineItems/{lineItemId}/status
const url = 'https://order.shopgate.io/v1/merchants/example/fulfillmentOrders/example/lineItems/1/status';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"status":"new"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://order.shopgate.io/v1/merchants/example/fulfillmentOrders/example/lineItems/1/status \ --header 'Content-Type: application/json' \ --data '{ "status": "new" }'Update lineItem status of fulfillmentOrder
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Unique merchant code which represents the unique “merchant account”.
orderNumber
required
string
Unique order number
lineItemId
required
number
Unique Line Item IDs to return
Request Body
Section titled “Request Body”Media typeapplication/json
object
status
string
Example
newResponses
Section titled “Responses”Status successfully updated
Media typeapplication/json
Order not found
Media typeapplication/json
default
Section titled “default”Unexpected error
Media typeapplication/json
object
code
Machine readable error code
string
message
required
Human readable error code
string
Example
{ "code": "internal.database", "message": "Internal Database Error"}
